AttributeCertificate (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509

## Class AttributeCertificate

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.AttributeCertificate

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class AttributeCertificate
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeCertificate(ASN1Sequence seq)` Deprecated. use getInstance() method.
    `AttributeCertificate(AttributeCertificateInfo acinfo, AlgorithmIdentifier signatureAlgorithm, DERBitString signatureValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeCertificateInfo` | `getAcinfo()`
    `static AttributeCertificate` | `getInstance(java.lang.Object obj)`
    `AlgorithmIdentifier` | `getSignatureAlgorithm()`
    `DERBitString` | `getSignatureValue()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeCertificate

          public AttributeCertificate(AttributeCertificateInfo acinfo,
                              AlgorithmIdentifier signatureAlgorithm,
                              DERBitString signatureValue)

    - #### AttributeCertificate

          public AttributeCertificate(ASN1Sequence seq)

      Deprecated. use getInstance() method.

  - ### Method Detail

    - #### getInstance

          public static AttributeCertificate getInstance(java.lang.Object obj)

      Parameters:
        `obj` -
      Returns:
        an AttributeCertificate object

    - #### getAcinfo

          public AttributeCertificateInfo getAcinfo()

    - #### getSignatureAlgorithm

          public AlgorithmIdentifier getSignatureAlgorithm()

    - #### getSignatureValue

          public DERBitString getSignatureValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

            AttributeCertificate ::= SEQUENCE {
                 acinfo               AttributeCertificateInfo,
                 signatureAlgorithm   AlgorithmIdentifier,
                 signatureValue       BIT STRING
            }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.